<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>divide</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="div2.html">&lt;&lt; div2</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="factorize.html">factorize &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">bigint</a> &gt;&gt; <a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a> &gt; divide</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">divide</h1>
    <p class="refpurpose">bigint Euclidian arithmetics</p></div>


<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">x,y,q,r:</span>
            <dd><p class="para">bigint</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">bigint Euclidian division using dichotomy
<span><img src='./_LaTeX_divide.xml_1.png' style='position:relative;top:6px;width:93px;height:18px'/></span>  with  <span><img src='./_LaTeX_divide.xml_2.png' style='position:relative;top:6px;width:80px;height:20px'/></span></p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">98765432</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">12345678</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabopenclose">[</span><span class="scilabid">q</span><span class="scilabdefault">,</span><span class="scilabid">r</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><span class="scilabid">divide</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabdefault">,</span><span class="scilabid">y</span><span class="scilabopenclose">)</span>  <span class="scilabcomment">//  bigint division</span>
<span class="scilabnumber">98765432</span><span class="scilaboperator">/</span><span class="scilabnumber">12345678</span>  <span class="scilabcomment">// totient</span>
<a class="scilabmacro" href="scilab://pmodulo">pmodulo</a><span class="scilabopenclose">(</span><span class="scilabnumber">98765432</span><span class="scilabdefault">,</span><span class="scilabnumber">12345678</span><span class="scilabopenclose">)</span> <span class="scilabcomment">// reminder</span>
<span class="scilabid">y</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">1234567890</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabid">x</span><span class="scilaboperator">=</span><span class="scilabid">bigint</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">987654321123456789</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span>
<span class="scilabopenclose">[</span><span class="scilabid">q</span><span class="scilabdefault">,</span><span class="scilabid">r</span><span class="scilabopenclose">]</span><span class="scilaboperator">=</span><span class="scilabid">divide</span><span class="scilabopenclose">(</span><span class="scilabid">x</span><span class="scilabdefault">,</span><span class="scilabid">y</span><span class="scilabopenclose">)</span>
<span class="scilabid">x</span><span class="scilaboperator">==</span> <span class="scilabid">q</span><span class="scilaboperator">*</span><span class="scilabid">y</span><span class="scilaboperator">+</span><span class="scilabid">r</span>
<span class="scilabid">r</span><span class="scilaboperator">&#0060;</span><a class="scilabcommand" href="scilab://abs">abs</a><span class="scilabopenclose">(</span><span class="scilabid">y</span><span class="scilabopenclose">)</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="bigint.html" class="link">bigint</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Philippe Roux</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="div2.html">&lt;&lt; div2</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_9ebe4d1d576a019be0dd541ed7338bc5.html">arithmetic</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="factorize.html">factorize &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
